## masakari-dashboard 12.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.

# Docs Requirements
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
oslosphinx>=4.7.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
docutils>=0.11 # OSI-Approved Open Source, Public Domain

## masakari-dashboard 5.0.0

=== debian/changelog ===
masakari-dashboard (5.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:20:24 +0200

masakari-dashboard (5.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:51:12 +0200

masakari-dashboard (5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * (build-)depends on horizon version >= 3:20.0.0+git2020.09.21.27036cc0eb.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Sep 2021 09:07:17 +0200

masakari-dashboard (4.0.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:18:52 +0200

masakari-dashboard (4.0.0-2) experimental; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.
  * Add Breaks: python3-django-horizon (<< 3:19.2.0-2~).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 May 2021 16:30:46 +0200

masakari-dashboard (4.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 16:43:26 +0200

masakari-dashboard (4.0.0~rc1-1) experimental; urgency=medium

  * Initial packaging (Closes: #986466).

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Mar 2021 21:37:04 +0100

=== debian/control ===
Source: masakari-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 nodeenv,
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-openstack.nose-plugin,
 python3-openstacksdk,
 python3-selenium,
 python3-testtools,
 python3-xvfbwrapper,
 python3-yaml,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/masakari-dashboard
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/masakari-dashboard.git
Homepage: https://opendev.org/openstack/masakari-dashboard

Package: python3-masakari-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-openstacksdk,
 python3-pbr,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:19.2.0-2~),
Description: OpenStack Virtual Machine High Availability (VMHA) - dashboard plugin
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://opendev.org/openstack/masakari-dashboard
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Copy policy file to openstack-dashboard policy location
#	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/masakaridashboard/conf/masakari_policy.json $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy/masakari_policy.json

	# Copy config enabled to openstack-dashboard enabled location
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/masakaridashboard/local/enabled/*masakari*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled

	# Copy local_settings.d to openstack-dashboard local_settings.d location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/masakaridashboard/local/local_settings.d/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d/

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
			NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			python$$i $(CURDIR)/manage.py test masakaridashboard.test -v 2 --settings=masakaridashboard.test.settings --exclude-tag integration ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## masakari-dashboard 6.0.0

=== debian/changelog ===
masakari-dashboard (6.0.0-2) unstable; urgency=medium

  * Add Django 4 compat patches (Closes: #1015104):
    - django-4-django.conf.urls.url-is-removed.patch
    - django-4-ugettext_lazy-is-removed.patch

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 Jul 2022 10:31:29 +0200

masakari-dashboard (6.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 17:25:08 +0200

masakari-dashboard (6.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 13:57:18 +0200

masakari-dashboard (6.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Mar 2022 14:34:17 +0100

## masakari-dashboard 7.0.0

=== debian/changelog ===
masakari-dashboard (7.0.0-1~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-zed.infomaniak.ch>  Wed, 05 Oct 2022 20:41:57 +0000

masakari-dashboard (7.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 22:39:26 +0200

masakari-dashboard (7.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Sep 2022 04:15:17 +0200

masakari-dashboard (7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Django 4 compat patches, fixed upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2022 09:14:50 +0200

## masakari-dashboard 8.0.0

=== debian/changelog ===
masakari-dashboard (8.0.0-3) unstable; urgency=medium

  * Removed build-depends on python3-openstack.nose-plugin.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Aug 2023 11:32:52 +0200

masakari-dashboard (8.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:35:02 +0200

masakari-dashboard (8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 15:36:47 +0100

masakari-dashboard (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Mar 2023 17:32:33 +0100

=== debian/rules ===
--- 
+++ 
@@ -45,11 +45,6 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	for i in $(PYTHON3S) ; do \
 		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
-			NOSE_WITH_OPENSTACK=1 \
-			NOSE_OPENSTACK_COLOR=1 \
-			NOSE_OPENSTACK_RED=0.05 \
-			NOSE_OPENSTACK_YELLOW=0.025 \
-			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
 			python$$i $(CURDIR)/manage.py test masakaridashboard.test -v 2 --settings=masakaridashboard.test.settings --exclude-tag integration ; \
 	done
 	## Delete __pycache__

## masakari-dashboard 9.0.0

=== debian/changelog ===
masakari-dashboard (9.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 11:53:33 +0200

masakari-dashboard (9.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Reintroduce django-4-ugettext_lazy-is-removed.patch that is somehow not in
    the upstream code anymore (Closes: #1052757).

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 11:24:51 +0200

masakari-dashboard (9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Sep 2023 10:47:36 +0200

masakari-dashboard (8.0.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1047431).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 12:11:00 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
 Build-Depends-Indep:
  nodeenv,
  openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
- python3-openstack.nose-plugin,
  python3-openstacksdk,
  python3-selenium,
  python3-testtools,

## masakari-dashboard 10.0.0

=== debian/changelog ===
masakari-dashboard (10.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 21:30:21 +0200

masakari-dashboard (10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed django-4-ugettext_lazy-is-removed.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 15:20:44 +0100

## masakari-dashboard 11.0.0

=== debian/changelog ===
masakari-dashboard (11.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090434).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:14:00 +0100

masakari-dashboard (11.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 17:02:16 +0200

masakari-dashboard (11.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 13:58:26 +0200

masakari-dashboard (11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2024 10:10:37 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,14 +4,13 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
-
-override_dh_clean:
-	dh_clean
-	rm -rf .coverage*
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf .coverage build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## masakari-dashboard 11.0.0+git2025030509.03c1ddc

=== debian/changelog ===
masakari-dashboard (11.0.0+git2025030509.03c1ddc-0ubuntu1) plucky; urgency=medium

  [ Myles Penner ]
  * d/control: Align (Build-)Depends with upstream.

  [ James Page ]
  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Wed, 05 Mar 2025 09:55:18 +0000

masakari-dashboard (11.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:28:18 +0100

masakari-dashboard (11.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: Add gbp configuration for Ubuntu.
  * New upstream release for OpenStack Dalmatian.
  * d/p/django-4-ugettext_lazy-is-removed.patch: Drop, no longer needed.

 -- James Page <james.page@ubuntu.com>  Fri, 27 Sep 2024 10:56:00 +0100

## masakari-dashboard 12.0.0

=== debian/changelog ===
masakari-dashboard (12.0.0-0ubuntu1) plucky; urgency=medium

  * .launchpad.yaml: Sync from cloud-archive-tools for epoxy.
  * Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Wed, 09 Apr 2025 08:43:07 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/masakari-dashboard/ masakari_dashboard-(12\.\d.*)\.tar\.gz

## masakari-dashboard 13.0.0~rc1

=== debian/changelog ===
masakari-dashboard (13.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Mon, 29 Sep 2025 10:06:28 +0000

masakari-dashboard (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:50:17 +0200

masakari-dashboard (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Sep 2025 08:42:22 +0200

masakari-dashboard (12.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 15:21:59 +0200

masakari-dashboard (12.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:59:44 +0100

masakari-dashboard (12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 08:31:05 +0100

## masakari-dashboard 13.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.
#
# PBR should always appear first
pbr!=2.1.0,>=2.0.0 # Apache-2.0

# Horizon Core Requirements
horizon>=17.1.0  # Apache-2.0
openstacksdk>=0.26.0
PyYAML>=3.12 # MIT

=== doc/Makefile ===
# Makefile for Sphinx documentation

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Masakari dashboard.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Masakari dashboard.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Masakari dashboard"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Masakari dashboard"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
masakari-dashboard (13.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Myles Penner <myles.penner@canonical.com>  Wed, 01 Oct 2025 09:37:15 -0700

masakari-dashboard (13.0.0~rc1-0ubuntu1) questing; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.
  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/p/install-missing-files.patch: Refresh.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 19 Sep 2025 11:12:03 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: masakari-dashboard
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
@@ -10,17 +11,21 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- nodeenv,
+ nodeenv (>= 0.9.4),
  openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
- python3-openstacksdk,
- python3-selenium,
+ python3-django-horizon (>= 4:17.1.0),
+ python3-docutils (>= 0.11),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-oslosphinx (>= 4.7.0),
+ python3-openstacksdk (>= 0.26.0),
+ python3-selenium (>= 2.50.1),
  python3-testtools,
- python3-xvfbwrapper,
- python3-yaml,
+ python3-xvfbwrapper (>= 0.1.3),
+ python3-yaml (>= 3.12),
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/masakari-dashboard
 Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/masakari-dashboard.git
@@ -30,9 +35,9 @@
 Architecture: all
 Depends:
  openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
- python3-openstacksdk,
- python3-pbr,
- python3-yaml,
+ python3-openstacksdk (>= 0.26.0),
+ python3-pbr (>= 2.0.0),
+ python3-yaml (>= 3.12),
  ${misc:Depends},
  ${python3:Depends},
 Breaks:

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=pybuild --with python3
+	dh $@ --buildsystem=python_distutils --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean

=== debian/watch ===
version=3
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/,pgpsigurlmangle=s/$/.asc/ \
 https://tarballs.opendev.org/openstack/masakari-dashboard/ masakari_dashboard-(\d{1,2}\.\d.*)\.tar\.gz

## masakari-dashboard 13.0.0%2Bgit20251225.16.fe96a44

=== debian/changelog ===
masakari-dashboard (13.0.0+git20251225.16.fe96a44-0ubuntu1) resolute; urgency=medium

  * d/watch: update for new upstream
  * d/u/signing-key.asc: remove for snapshot
  * New upstream version 13.0.0+git20251225.16.fe96a44
  * d/rules: enable sphinxdoc to build documentation
  * d/p/install-missing-files.patch: Drop obsolete patch
  * d/patches/*: refresh patches
  * New upstream snapshot from fe96a444dc3f91c7294cd05c41095bce02024ba6
    for OpenStack Gazpacho. (LP: #2137590)
  * d/rules: Remove obsolete local_settings.d line.
  * d/python3-masakari-dashboard.maintscript: Add rm_conffile for
    /etc/openstack-dashboard/local_settings.d/_50_masakari.py.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 21 Jan 2026 09:43:28 -0800

## masakari-dashboard 13.0.0+git20251225.16.fe96a44

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

# Horizon Core Requirements
horizon>=17.1.0  # Apache-2.0
openstacksdk>=0.26.0
PyYAML>=3.12 # MIT

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
docutils>=0.11 # OSI-Approved Open Source, Public Domain

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	python3 setup.py clean
@@ -34,9 +34,6 @@
 	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
 	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/masakaridashboard/local/enabled/*masakari*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
 
-	# Copy local_settings.d to openstack-dashboard local_settings.d location
-	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/masakaridashboard/local/local_settings.d/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d/
-
 	dh_install
 	dh_missing --fail-missing

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/masakari-dashboard/ masakari_dashboard-(\d{1,2}\.\d.*)\.tar\.gz
